Rapid7 Vulnerability & Exploit Database

Alma Linux: CVE-2020-17049: Moderate: krb5 security, bug fix, and enhancement update (ALSA-2023-2570)

Free InsightVM Trial No Credit Card Necessary
Watch Demo See how it all works
Back to Search

Alma Linux: CVE-2020-17049: Moderate: krb5 security, bug fix, and enhancement update (ALSA-2023-2570)

Severity
9
CVSS
(AV:N/AC:L/Au:S/C:C/I:C/A:C)
Published
11/11/2020
Created
05/15/2023
Added
05/15/2023
Modified
04/19/2024

Description

<p>A security feature bypass vulnerability exists in the way Key Distribution Center (KDC) determines if a service ticket can be used for delegation via Kerberos Constrained Delegation (KCD).</p> <p>To exploit the vulnerability, a compromised service that is configured to use KCD could tamper with a service ticket that is not valid for delegation to force the KDC to accept it.</p> <p>The update addresses this vulnerability by changing how the KDC validates service tickets used with KCD.</p>

Solution(s)

  • alma-upgrade-krb5-devel
  • alma-upgrade-krb5-libs
  • alma-upgrade-krb5-pkinit
  • alma-upgrade-krb5-server
  • alma-upgrade-krb5-server-ldap
  • alma-upgrade-krb5-workstation
  • alma-upgrade-libkadm5

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;